{# We are going out of our way here NOT to use a <form>, as we will need to embed these within assignment grading forms. #}
<section class="flashcard{{' daily' if daily else ''}}" hx-{{method or 'post'}}='{{ url }}' hx-include="this" hx-swap="outerHTML" hx-trigger="keyup[keyCode==13], click target:input[type=submit]">
    <input type="hidden" name="csrf_token" value="{{ csrf_token() }}">
    {% if not daily %}
        <strong>Flashcard!</strong> 
    {% endif %}
    {{ question | inline_markdown | safe}}

{% if correct == True %}
    <div>
        <div class="correct" style="display: flex; justify-content: space-between;">
            {{ ["That's correct!", "Well done!", "You got it!", "Spot on!", "Nice job!", "Exactly!", "Keep it up!", "Nailed it!", "Way to go!", "Excellent!"] | random }}
            <input type="submit" style="width: auto; display:inline-flex;" value="Next card →">
        </div>
        <strong>{{answer}}</strong>
    </div>
{% else %}
    {% if correct == False %}
        <div>
            <div class="incorrect" style="display: flex; justify-content: space-between;">
                Wrong answer!
                <input type="submit" style="width: auto; padding-bottom: 10px;" value="Next card →"> 
            </div>
            {% if answer %}
            It should have been <strong>{{answer}}</strong>
            {% else %}
            Please review the resources once more or ask for help, and then try again.
            {% endif %}
        </div>
    {% endif %}
{% endif %}
{% if correct == None or not answer %}
<div style="display: flex; gap: var(--mar2);">
    <input type="text" name="answer" style="flex: 1;" maxlength="32" placeholder="Your answer" {% if daily %}autofocus{% endif %} autocomplete="off"/>
    <input type="submit" style="width: auto;" value="→">  
</div>
{% elif daily %}
<div class="wait {{'correct' if correct else 'incorrect'}}"></div>
{% endif %}

</section>